local map_w, map_h = BiomeMapGetSize()

-- kobold lair pixel scene biome uses already existing water.xml biome to avoid touching _biomes_all.xml

-- remove water.xml (which is kobold lair now) from its original position
for y = 0, map_h - 1 do
	for x = 0, map_w - 1 do
		if BiomeMapGetPixel(x, y) == BiomeMapConvertPixelFromUintToInt(0xff0000ff) then
			BiomeMapSetPixel(x, y, 0xff3d3d3d)
		end
	end
end

-- add kobold lair biome to whatever chunk you want
for y = 0, map_h - 1 do
	for x = 0, map_w - 1 do
		if BiomeMapGetPixel(x, y) == BiomeMapConvertPixelFromUintToInt(0xff4118d6) then
			BiomeMapSetPixel(x - 2, y - 2, 0xff0000ff)
			return
		end
	end
end